BrowserFactory
Date: 2012-06-29

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.chromium.sdk
Class BrowserFactory

    java.lang.Object
      org.chromium.sdk.BrowserFactory

    public abstract class BrowserFactory

extends java.lang.Object

A factory for Browser instances.

Constructor Summary
`BrowserFactory()`

Method Summary
`abstract Browser` | `create(java.net.SocketAddress socketAddress, ConnectionLogger.Factory connectionLoggerFactory)` Returns a Browser implementor instance that talks to a browser listening at `socketAddress`.
`abstract StandaloneVm` | `createStandalone(java.net.SocketAddress socketAddress, ConnectionLogger connectionLogger)` Constructs StandaloneVm instance that talks to a V8 JavaScript VM via DebuggerAgent opened at `socketAddress`.
`static BrowserFactory` | `getInstance()` Gets a `BrowserFactory` instance.
`static java.util.logging.Logger` | `getRootLogger()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BrowserFactory

    public BrowserFactory()

Method Detail

### getInstance

    public static BrowserFactory getInstance()

  Gets a `BrowserFactory` instance. This method should be overridden by implementations that want to construct other implementations of `Browser`.

  Returns:
    a BrowserFactory singleton instance

### create

    public abstract Browser create(java.net.SocketAddress socketAddress,
                                   ConnectionLogger.Factory connectionLoggerFactory)

  Returns a Browser implementor instance that talks to a browser listening at `socketAddress`. Note that you shouldn't try to create several instances of Browser connecting to the same `socketAddress`.

  Parameters:
    `socketAddress` - the browser is listening on
    `connectionLoggerFactory` - provides facility for listening to network traffic; may be null
  Returns:
    a Browser instance for the `socketAddress`

### createStandalone

    public abstract StandaloneVm createStandalone(java.net.SocketAddress socketAddress,
                                                  ConnectionLogger connectionLogger)

  Constructs StandaloneVm instance that talks to a V8 JavaScript VM via DebuggerAgent opened at `socketAddress`.

  Parameters:
    `socketAddress` - V8 DebuggerAgent is listening on
    `connectionLogger` - provides facility for listening to network traffic; may be null

### getRootLogger

    public static java.util.logging.Logger getRootLogger()

  Returns:
    SDK root logger that can be used to add handlers or to adjust log level

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD